aboutsummaryrefslogtreecommitdiff
path: root/deploy
diff options
context:
space:
mode:
Diffstat (limited to 'deploy')
-rwxr-xr-xdeploy18
1 files changed, 18 insertions, 0 deletions
diff --git a/deploy b/deploy
new file mode 100755
index 0000000..43c3adf
--- /dev/null
+++ b/deploy
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+set -e
+
+# Cleanup
+rm -rf public
+rm -f static/main.js
+rm -f static/main.js.map
+
+# Build JavaScript
+tsc --pretty --removeComments --strict --noUnusedLocals --noUnusedParameters --noImplicitReturns main.ts --outFile main-big.js
+closure-compiler main-big.js --js_output_file static/main.js
+rm main-big.js
+
+# Build site
+zola build
+
+# Transfer
+rsync -avzh public/ guyonvarch.me:/var/www/cooking.guyonvarch.me --delete